<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/maincore.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
 
$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

	echo '<img src="../images/img/menu.gif" alt=""> ФОРУМ '.$config_title.'<br>';
	
if(!isset($action)){
	
echo '<br><b>Добавление темы</b><br>';
		
if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog ){
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}

if($fid!=""){
if($config_themes!="wml"){
	
echo'<form action="index.php?event=addtopic&amp;r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'" method="post" name="replier">';
echo'<br>Заголовок:<br>';
echo'<input type="text" name="zag" maxlength="100" /><br>';
echo'Сообщение:<br>';
echo'<textarea cols="20" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo'<input type="submit" value="Добавить" /></form>';
}else{

echo'<br>--------------------<br>Заголовок:<br>';
echo'<input name="zag"/><br>';
echo'Сообщение:<br>';
echo'<input name="msg"/><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Добавить';
echo'<go href="index.php?event=addtopic&amp;r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'" method="post">';
echo'<postfield name="zag" value="$(zag)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'<postfield name="msg" value="$(msg)"/>';
echo'</go>';
echo'</anchor><br>'; 

}
}else{echo'Ошибка! Не выбран раздел для создания темы';}
}else{echo'Вы не авторизованы,<br> для добавления сообщения необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br>'; }
echo'<hr>Прежде чем создать новую тему необходимо ознакомиться с правилами<br>';
echo'<a href="addtem.php?action=tabu&amp;'.SID.'">Правила форума</a><br>';
echo'Также убедись что такой темы нет, чтобы не создавать одинаковые, для этого введи ключевое слово в поиске<br>';
echo'<a href="search.php?'.SID.'">Поиск по форуму</a><br>';
echo'И если после этого ты уверен что твоя тема будет интересна другим пользователям, то создавай ее<br>';}

if($action=="tegi"){
echo'Справка по тегам<br>Вы можете выражать свой текст следующими тегами<br><br>';
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ){
if ($dostup==101 || $dostup==102 || $dostup==103){ 
echo'[red]<font color="red">Красный цвет текста</font>[/red]<br>';
echo'[green]<font color="green">Зеленый цвет текста</font>[/green]<br>';
echo'[blue]<font color="blue">Синий цвет текста</font>[/blue]<br>';
echo'[gray]<font color="gray">Серый цвет текста</font>[/gray]<br>';
echo'[yellow]<font color="yellow">Желтый цвет текста</font>[/yellow]<br>';}}
echo'[url]ССЫЛКА[/url]<br>';
echo'[url=ССЫЛКА]НАЗВАНИЕ[/url]<br>';
echo'[b]<b>Жирный шрифт</b>[/b]<br>';
echo'[i]<i>Наклонный шрифт</i>[/i]<br>';
echo'[u]<u>Подчеркнутый шрифт</u>[/u]<br>';
echo'[big]<big>Большой шрифт</big>[/big]<br>';
echo'[em]<em>Курсив</em>[/em]<br>';
echo'[small]<small>Маленький шрифт</small>[/small]<br>';
echo'[code]<code style="white-space:wrap">echo"Для вставки php-кода";</code>[/code]<br>';
echo'Для того чтобы вставить ссылку можно просто написать http://адрес_cсылки<br> либо использовать тег в виде [url=http://ссылка]название ссылки[/url]<br>';
echo'Для отображения рисунка используется тег [img=http://site/dir/subdir/pic.jpg][/img]<br>';
}
if($action=="tabu"){echo'<br><b>Общие правила для пользователей форума '.$config_title.'</b><br>';

echo'<b>1. Общие положения</b><br>';
echo'а). Форум посвящен вопросам призванным помочь wap мастеру в разработке сайта, проекта или приложения для сайта.<br>';
echo'б). На Форуме не обсуждаются вопросы связанные со взломми сайтов<br>';
echo'в). Все материалы и сообщения, размещаемые в форуме, отражают исключительно мнения их авторов, администрация форума<br>';
echo' дает ни каких-либо гарантий, выраженных явно, или подразумеваемых, что они полны, полезны или правдивы.<br><br>';

echo'<b>2. Порядок поведения в форуме</b><br>';
echo'а). Публикация ссылок на другие сайты допустима при условии, что страница, находящаяся по указанному адресу, приведена<br>';
echo'в качестве иллюстрации утверждения, высказанного автором сообщения.<br>';
echo'б). На форуме применяется пост-модерация. Сообщения, нарушающие настоящие Правила, удаляются. Не следует воспринимать<br>';
echo'исчезновение своих сообщений следствием технического сбоя и помещать сообщения еще раз.<br>';
echo'в). Не одобряются попытки обратить внимание на низкий уровень знаний какого-либо участника форума.<br>';
echo'Все когда-то не знали простых вещей.<br><br>';

echo'<b>3. При создании новых тем необходимо придерживаться следующих правил:</b><br>';
echo'а) Название темы должно быть информативным. Заголовки тем типо: "Подскажите", "Знающие люди, зайдите!",<br>';
echo'"Есть вопрос", "Вопрос по php-коду" и подобные лишь демонстрируют Ваше неуважение к остальным участникам.<br>';
echo'б) Тема должна соответствовать теме раздела, в котором она помещена. Не следует открывать тему в определенном<br>';
echo'разделе только потому, что Вы хотите получить быстрый ответ в более посещаемом разделе.<br>';
echo'в) Старайтесь не делать грамматических ошибок в сообщениях, сверх меры использовать жаргонные выражения – это создаст<br>';
echo'негативное впечатление о вас. Сообщение, содержащее большое количество грамматических ошибок расценивается как<br>';
echo'неуважение к другим участникам форума и может быть наказано штрафом.<br><br>';

echo'<b>4. Ограничения и запреты</b><br>';
echo'а). Запрещается устраивать дискуссию на тему несовпадения чьего-то личного мнения с Вашим.<br>';
echo'Не следует также обижаться по поводу Вашей неправоты. Если Вы желаете всегда оставаться правым,<br>';
echo'просто не участвуйте в дискуссиях.<br>';
echo'б). Запрещается,открывать новую тему содержащию продожение старой темы.<br>';
echo'в). Запрещается оставлять на форуме сообщения выражающие свои недовольства<br>';
echo'к действиям модераторов форума.  <br>';
echo'г). Запрещено помещение сообщений, содержащих заведомо ложнyю инфоpмацию, клеветy, а также нечестные приемы ведения дискуссий<br>';
echo'в виде &quot;передергиваний&quot; высказываний собеседников.<br>';
echo'д). Запрещено использование в сообщениях нецензурных слов, брани, оскорбительных для других участников выражений.<br><br>';
	
echo'<b>5. Копирование или любое несанкционированное использование материалов форума запрещено.</b><br><br>';

echo'<b><font color="#FF0000">Внимание! Грубые и систематические нарушения правил, караются баном пользователя</font></b><br>';
 }
echo '<br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">В форум</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
	?>